import { ElementRef, OnInit, Renderer2, OnChanges } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { FlexCssService } from './flex-css.service';
import { BaseDirective } from './directive';
import { LayoutDirective } from './layout.directive';
export declare class FlexDirective extends BaseDirective implements OnInit, OnChanges {
    private service;
    fcValues: {};
    observer$: ReplaySubject<{}>;
    private layout;
    fcShrink: number;
    fcGrow: number;
    flex: any;
    flexXs: any;
    flexSm: any;
    flexMd: any;
    flexLg: any;
    flexXl: any;
    flexGtXs: any;
    flexGtSm: any;
    flexGtMd: any;
    flexGtLg: any;
    flexLtSm: any;
    flexLtMd: any;
    flexLtLg: any;
    flexLtXl: any;
    constructor(elementRef: ElementRef, renderer: Renderer2, service: FlexCssService, layout: LayoutDirective);
    ngOnInit(): void;
    ngOnChanges(): void;
    reload(): void;
    dependsOnParentLayout(): void;
    readonly layoutValues: {};
    readonly parentElement: any;
    readonly breakpoints: string[];
}
