import { ElementRef, OnInit, Renderer2, OnChanges } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { FlexCssService } from './flex-css.service';
import { BaseDirective } from './directive';
import { LayoutDirective } from './layout.directive';
export declare class LayoutAlignDirective extends BaseDirective implements OnInit, OnChanges {
    private service;
    private layout;
    fcValues: {};
    observer$: ReplaySubject<{}>;
    align: any;
    alignXs: any;
    alignSm: any;
    alignMd: any;
    alignLg: any;
    alignXl: any;
    alignGtXs: any;
    alignGtSm: any;
    alignGtMd: any;
    alignGtLg: any;
    alignLtSm: any;
    alignLtMd: any;
    alignLtLg: any;
    alignLtXl: any;
    constructor(elementRef: ElementRef, renderer: Renderer2, service: FlexCssService, layout: LayoutDirective);
    ngOnInit(): void;
    ngOnChanges(): void;
    reload(): void;
    dependsOnLayout(): void;
    readonly layoutValues: {};
    readonly breakpoints: string[];
}
