import { ElementRef, Renderer2 } from '@angular/core';
export declare abstract class BaseDirective {
    elementRef: ElementRef;
    protected renderer: Renderer2;
    private classNames;
    constructor(elementRef: ElementRef, renderer: Renderer2);
    setClassNames(classNames: string[]): void;
    addClassName(className: string): void;
    removeClassName(className: string): void;
}
