import { ModuleWithProviders } from '@angular/core';
import { Breakpoint } from './flex-css.service';
export declare type BreakpointsFn = (defaultBreakpoints: Breakpoint[]) => Breakpoint[];
export declare function customizeBreakPoints(breakpoints: Breakpoint[] | BreakpointsFn): Breakpoint[];
export declare class FlexCssModule {
    static forRoot(breakpoints?: Breakpoint[] | BreakpointsFn): ModuleWithProviders;
}
