import { ElementRef, OnInit, Renderer2, OnChanges } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { FlexCssService } from './flex-css.service';
import { BaseDirective } from './directive';
import { LayoutDirective } from './layout.directive';
export declare class FlexOffsetDirective extends BaseDirective implements OnInit, OnChanges {
    private service;
    fcValues: {};
    observer$: ReplaySubject<{}>;
    private layout;
    offset: any;
    offsetXs: any;
    offsetSm: any;
    offsetMd: any;
    offsetLg: any;
    offsetXl: any;
    offsetGtXs: any;
    offsetGtSm: any;
    offsetGtMd: any;
    offsetGtLg: any;
    offsetLtSm: any;
    offsetLtMd: any;
    offsetLtLg: any;
    offsetLtXl: any;
    constructor(elementRef: ElementRef, renderer: Renderer2, service: FlexCssService, layout: LayoutDirective);
    ngOnInit(): void;
    ngOnChanges(): void;
    reload(): void;
    dependsOnParentLayout(): void;
    readonly parentElement: any;
    readonly layoutValues: {};
    readonly breakpoints: string[];
}
