import { ElementRef, OnInit, Renderer2, OnChanges } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { FlexCssService } from './flex-css.service';
import { BaseDirective } from './directive';
import { LayoutDirective } from './layout.directive';
export declare class FlexOrderDirective extends BaseDirective implements OnInit, OnChanges {
    private service;
    fcValues: {};
    observer$: ReplaySubject<{}>;
    private layout;
    order: any;
    orderXs: any;
    orderSm: any;
    orderMd: any;
    orderLg: any;
    orderXl: any;
    orderGtXs: any;
    orderGtSm: any;
    orderGtMd: any;
    orderGtLg: any;
    orderLtSm: any;
    orderLtMd: any;
    orderLtLg: any;
    orderLtXl: any;
    constructor(elementRef: ElementRef, renderer: Renderer2, service: FlexCssService, layout: LayoutDirective);
    ngOnInit(): void;
    ngOnChanges(): void;
    reload(): void;
    dependsOnParentLayout(): void;
    readonly parentElement: any;
    readonly breakpoints: string[];
}
