import { ElementRef, OnInit, Renderer2, OnChanges } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { FlexCssService } from './flex-css.service';
import { BaseDirective } from './directive';
import { LayoutDirective } from './layout.directive';
export declare class LayoutGapDirective extends BaseDirective implements OnInit, OnChanges {
    private service;
    private layout;
    fcValues: {};
    observer$: ReplaySubject<{}>;
    gap: any;
    gapXs: any;
    gapSm: any;
    gapMd: any;
    gapLg: any;
    gapXl: any;
    gapGtXs: any;
    gapGtSm: any;
    gapGtMd: any;
    gapGtLg: any;
    gapLtSm: any;
    gapLtMd: any;
    gapLtLg: any;
    gapLtXl: any;
    constructor(elementRef: ElementRef, renderer: Renderer2, service: FlexCssService, layout: LayoutDirective);
    ngOnInit(): void;
    ngOnChanges(): void;
    reload(): void;
    dependsOnLayout(): void;
    readonly layoutValues: {};
    readonly breakpoints: string[];
}
