import { ElementRef, Renderer2, OnChanges } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { FlexCssService } from './flex-css.service';
import { BaseDirective } from './directive';
export declare class LayoutDirective extends BaseDirective implements OnChanges {
    private service;
    readonly fcValues: {};
    readonly observer$: ReplaySubject<{}>;
    layout: any;
    layoutXs: any;
    layoutSm: any;
    layoutMd: any;
    layoutLg: any;
    layoutXl: any;
    layoutGtXs: any;
    layoutGtSm: any;
    layoutGtMd: any;
    layoutGtLg: any;
    layoutLtSm: any;
    layoutLtMd: any;
    layoutLtLg: any;
    layoutLtXl: any;
    constructor(elementRef: ElementRef, renderer: Renderer2, service: FlexCssService);
    ngOnChanges(): void;
    reload(): void;
    addNewBreakpoints(breakpoints: string[], defaultValue?: any): void;
    readonly breakpoints: string[];
}
