import { ElementRef, Renderer2, OnChanges } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { FlexCssService } from './flex-css.service';
import { BaseDirective } from './directive';
import { LayoutDirective } from './layout.directive';
export declare function isTrueValue(value: any): boolean;
export declare class ShowHideDirective extends BaseDirective implements OnChanges {
    private service;
    private layout;
    protected platformId: Object;
    readonly fcValues: {};
    readonly observer$: ReplaySubject<{}>;
    fcDisplayDefault: any;
    show: any;
    showXs: any;
    showSm: any;
    showMd: any;
    showLg: any;
    showXl: any;
    showLtSm: any;
    showLtMd: any;
    showLtLg: any;
    showLtXl: any;
    showGtXs: any;
    showGtSm: any;
    showGtMd: any;
    showGtLg: any;
    hide: any;
    hideXs: any;
    hideSm: any;
    hideMd: any;
    hideLg: any;
    hideXl: any;
    hideLtSm: any;
    hideLtMd: any;
    hideLtLg: any;
    hideLtXl: any;
    hideGtXs: any;
    hideGtSm: any;
    hideGtMd: any;
    hideGtLg: any;
    constructor(elementRef: ElementRef, renderer: Renderer2, service: FlexCssService, layout: LayoutDirective, platformId: Object);
    ngOnChanges(): void;
    reload(): void;
    getDisplayStyle(): any;
    getElementStyle(element: any, styleName: any): any;
    readonly breakpoints: string[];
}
